1. amerhi's Avatar

    A big up, to all the Mods and the contributors.

    I have a 2G iphone with FW 1.4 should I jump gradually to 2.2 then 2.2.1 and from there to 3.0 or can I just go straight to the last OS(3.0)
    And which iTunes version I should have before I start.
    I'am running winXP and my iphone is jailbroken and unlocked.
    and it works very smoothly.
    A reply will very much appreciated from you guys.
    thanks in advance
    2009-08-04 08:59 AM
  2. dvn821's Avatar
    Lol you need to upgrade buddy. 3.0 works great for me. You can go straight to 3.0 FW. I have 8.2.0 as my iTunes version.
    If I helped thank me!
    2009-08-04 09:31 AM
  3. xxhorseriderxxx's Avatar
    just realize as a forewarnin', that 2.X-3.X firmwares have substantially longer respring and boot times on devices less than the 3GS. It's just a matter of patience. The 3.1 update is supposed to finally fix this. Oh, and Cydia is a hell lot better than the old installer. Best part about 2.X Cydia is that only mobilesubstrate apps respring the device when installed (which is far less resprings than 1.1.4 installer)
    2009-08-04 03:34 PM
  4. ianbroste's Avatar
    1.4?! upgrade straight to 3.0 like dvn821 said! youll be real glad you did
    2009-08-05 01:57 AM
  5. NeoNightmareX's Avatar
    If you're going to upgrade you might as well upgrade to 3.0.1 and get the SMS fix.
    If I helped you, then hit the "Thanks!" button please.

    I can't find Cydia on app store
    2009-08-05 02:10 AM
LINK TO POST COPIED TO CLIPBOARD